- Qt 6.10
- Qt Positioning
- QML Types
- geoPolygon
- Qt 6.10.2 Reference Documentation

# geoPolygon QML Value Type

The geoPolygon type represents a geographic polygon. More...

Import Statement: | `import QtPositioning`

## Properties

- path : list<geoCoordinate>

## Detailed Description

The geoPolygon type is a geoShape that represents a geographic polygon. It is a direct representation of QGeoPolygon and is defined in terms of a path which holds a list of geoCoordinates in the polygon.

The polygon is considered invalid if its path holds less than three coordinates.

When integrating with C++, note that any QGeoPolygon value passed into QML is automatically converted into a geoPolygon, and vice versa.

## Property Documentation

path : list<geoCoordinate>

This property holds the list of coordinates defining the polygon.